;;; The contents of this directory structure is subject to the following
;;; copyright notice:
;;;
;;;	Copyright (c) 2006, 2007 Andrew A. Berlin
;;;
;;;	This program is free software; you can redistribute it and/or
;;;	modify it under the terms of the GNU General Public License as
;;;	published by the Free Software Foundation; either version 2 of
;;;	the License, or (at your option) any later version.
;;;
;;;	This program is distributed in the hope that it will be
;;;	useful, but WITHOUT ANY WARRANTY; without even the implied
;;;	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;;;	PURPOSE.  See the GNU General Public License for more details.
;;;
;;;	You should have received a copy of the GNU General Public
;;;	License along with this program; if not, write to the Free
;;;	Software Foundation, Inc., 59 Temple Place - Suite 330,
;;;	Boston, MA 02111-1307, USA.

(define example-world
  (define-world 'example-world
    (topology simple-linear-fallopian-tube)
    (probe 'main-probe
	   (initial-location 1) ;;relative to start of tube
	   (initial-velocity 10) ;;relative to start of tube
	   (magnet magnet-Gaussboys-1mmx4mm))
    (actuator 'actuator1
	      (location (make-3point 1 2 3))
	      (orientation-target (topology-startpt simple-linear-fallopian-tube))
	      (polarity 'positive)
	      (magnet magnet-Gaussboys-large-37mmx37mm))
    (actuator 'actuator2
	      (location (make-3point 1 2 3))
	      (orientation-target (topology-startpt simple-linear-fallopian-tube))
	      (polarity 'positive)
	      (magnet magnet-Gaussboys-large-37mmx37mm))
    (actuator 'actuator3
	      (location (make-3point 1 2 3))
	      (orientation-target (topology-startpt simple-linear-fallopian-tube))
	      (polarity 'positive)
	      (magnet magnet-Gaussboys-large-37mmx37mm))
    (actuator 'actuator4
	      (location (make-3point 1 2 3))
	      (orientation-target (topology-startpt simple-linear-fallopian-tube))
	      (polarity 'positive)
	      (magnet magnet-Gaussboys-large-37mmx37mm))
    ))

(describe-world example-world)

(set! dt 0.05) ;;how often to print, in seconds
(set! *run-until* 0.5) 

(run-simulator example-world *run-until* #t) ;#t says to print state at each dt

(write-files! example-world)
(plot-menu example-world)
