;;; The contents of this directory structure is subject to the following
;;; copyright notice:
;;;
;;;	Copyright (c) 2006, 2007 Andrew A. Berlin
;;;
;;;	This program is free software; you can redistribute it and/or
;;;	modify it under the terms of the GNU General Public License as
;;;	published by the Free Software Foundation; either version 2 of
;;;	the License, or (at your option) any later version.
;;;
;;;	This program is distributed in the hope that it will be
;;;	useful, but WITHOUT ANY WARRANTY; without even the implied
;;;	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;;;	PURPOSE.  See the GNU General Public License for more details.
;;;
;;;	You should have received a copy of the GNU General Public
;;;	License along with this program; if not, write to the Free
;;;	Software Foundation, Inc., 59 Temple Place - Suite 330,
;;;	Boston, MA 02111-1307, USA.

(define *noplot* '*noplot*)
(define (smart-gnuplot ref1 ref2 states #!optional title heading1 heading2 lines-p filename)
  (let ((filtered-states (filter (lambda (x) (not (memq *noplot* x)))
				 states)))
    (if (default-object? title)
	(set! title "untitled"))
    (if (default-object? heading1)
	(set! heading1 "X axis"))
    (if (default-object? heading2)
	(set! heading2 "Y axis"))
    (if (default-object? lines-p)
	(set! lines-p #f))
    (if (default-object? filename)
	(set! filename "sim-gnuplot-temp"))
    (with-output-to-file filename
      (lambda ()
	(plot-dataset-csv filtered-states ref1 ref2)))
    (for-each (lambda (x) (apply format (cons pipeport x)))
	      `(("set mouse~%")
		("set grid~%")
		("set border 4095 lw 0.5 ~%")
		("set xlabel \'~a\' ~%" ,heading1)
		("set ylabel \'~a\' ~%" ,heading2)
		("set title \'~a\' ~%" ,title)
		("plot \'~a\' with ~a~%"
		 ,filename
		 ,(if lines-p "lines" "points"))
		))
    (flush-output pipeport)
    ))
  
