;;; The contents of this directory structure is subject to the following
;;; copyright notice:
;;;
;;;	Copyright (c) 2006, 2007 Andrew A. Berlin
;;;
;;;	This program is free software; you can redistribute it and/or
;;;	modify it under the terms of the GNU General Public License as
;;;	published by the Free Software Foundation; either version 2 of
;;;	the License, or (at your option) any later version.
;;;
;;;	This program is distributed in the hope that it will be
;;;	useful, but WITHOUT ANY WARRANTY; without even the implied
;;;	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;;;	PURPOSE.  See the GNU General Public License for more details.
;;;
;;;	You should have received a copy of the GNU General Public
;;;	License along with this program; if not, write to the Free
;;;	Software Foundation, Inc., 59 Temple Place - Suite 330,
;;;	Boston, MA 02111-1307, USA.

(declare (usual-integrations))

(define (offsetgrid-3d-position alpha topology)
  (let* ((misc (topology-misc topology))
	 (x-distance (first misc))
	 (num-y-rows (second misc))
	 (ypitch (third misc))
	 (zpitch (fourth misc))
	 (number-of-planes (floor (/ alpha (* x-distance
					      num-y-rows))))
	 (planenum number-of-planes)
	 (number-of-rows
	  (floor (/ alpha x-distance)))
	 (rownum (remainder number-of-rows num-y-rows))
	 (x-pos (- alpha (* number-of-rows x-distance))))
    (3point-+ (topology-startpt topology)
	      (make-3point x-pos (* rownum ypitch) (* planenum zpitch)))))

(define (offsetgrid-3d-orientation alpha topology)
  (make-unit-3point 1 0 0))

#| For testing:
(let loop ((alpha 0))
  (if (< alpha (* offsetgrid-xlen offsetgrid-num-y-rows offsetgrid-num-z-rows))
      (begin (format #t "~a~%" (compute-offsetgrid-xyz alpha))
	     (loop (1+ alpha)))))
|#



