;;; The contents of this directory structure is subject to the following
;;; copyright notice:
;;;
;;;	Copyright (c) 2006, 2007 Andrew A. Berlin
;;;
;;;	This program is free software; you can redistribute it and/or
;;;	modify it under the terms of the GNU General Public License as
;;;	published by the Free Software Foundation; either version 2 of
;;;	the License, or (at your option) any later version.
;;;
;;;	This program is distributed in the hope that it will be
;;;	useful, but WITHOUT ANY WARRANTY; without even the implied
;;;	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;;;	PURPOSE.  See the GNU General Public License for more details.
;;;
;;;	You should have received a copy of the GNU General Public
;;;	License along with this program; if not, write to the Free
;;;	Software Foundation, Inc., 59 Temple Place - Suite 330,
;;;	Boston, MA 02111-1307, USA.

;; System  Setup Variables

(define dt 0.05) ;;how often to print, in seconds
(define eps 0.0001) ;;error tolerance
(define *run-until* 0.5) ;seconds

;;connect dots is turned off in load file for grid-shaped fallopian tube
;;to avoid having end of one grid line connect to start of next.
;;Desirable to have it turned on for other plots to make them easier to read.
(define *connect-dots-while-plotting* true)

;;Degree of resolution to use when plotting fallopian tube for plotting in gnuplot
(define *plot-fallopian-tube-default-increment* 0.0005) ;;meters

;;70 for heatmap granularity works really well but takes a while
(define *default-heatmap-granularity-outer-increment* 50)

;;70 for heatmap granularity works really well but takes a while
;(define *default-heatmap-granularity* 70)
(define *default-heatmap-granularity* 40)

(define *default-heatfile-alpha* .2)
(define *default-heatfile-radius* .03)
(define *default-heatfile-number-of-maps* 1)

;;works well for default-heatmap-granularity set to 70:
;(define *circle-plot-weighting-region* .05) ;;fraction of range where weighting starts
;(define *circle-plot-focus-amount* .02) ;;multiplier on plot increment size

;for granularity of 40:
(define *circle-plot-weighting-region* .05) ;;fraction of range where weighting starts
(define *circle-plot-focus-amount* .015) ;;multiplier on plot increment size
